Loading...
Searching...
No Matches
casacore::MIRIADImage Class Reference
images package (libcasa_images) » Images_module

More...

`#include <MIRIADImage.h>`

## Public Member Functions

| MIRIADImage (const String &name)
| Construct a MIRIADImage from the disk MIRIAD dataset name and apply mask.
| MIRIADImage (const String &name, const MaskSpecifier &)
| Construct a MIRIADImage from the disk MIRIAD file name and apply mask or not.
| MIRIADImage (const MIRIADImage &other)
| Copy constructor (reference semantics).
| ~MIRIADImage ()
| Destructor does nothing.
MIRIADImage & | operator= (const MIRIADImage &other)
| Assignment (reference semantics).
virtual ImageInterface< Float > * | cloneII () const
| Make a copy of the object with new (reference semantics).
virtual String | imageType () const
| Get the image type (returns MIRIADImage).
virtual void | resize (const TiledShape &newShape)
| Function which changes the shape of the MIRIADImage.
virtual const RecordInterface & | miscInfo () const
| Functions which get and set the units associated with the image pixels (i.e.
virtual Bool | setMiscInfo (const RecordInterface &newInfo)
virtual Bool | isMasked () const
| Has the object really a mask?
virtual Bool | hasPixelMask () const
| MIRIADimage always has a pixel mask so should return True.
virtual const Lattice< Bool > & | pixelMask () const
| Get access to the pixelmask.
virtual Lattice< Bool > & | pixelMask ()
virtual Bool | doGetMaskSlice (Array< Bool > &buffer, const Slicer &section)
| Do the actual get of the mask data.
virtual const LatticeRegion * | getRegionPtr () const
| Get the region used.
virtual Bool | doGetSlice (Array< Float > &buffer, const Slicer &theSlice)
| Do the actual get of the data.
virtual void | doPutSlice (const Array< Float > &sourceBuffer, const IPosition &where, const IPosition &stride)
| The MIRIADImage is not writable, so this throws an exception.
virtual Bool | isPaged () const
| The lattice is paged to disk.
virtual Bool | isPersistent () const
| The lattice is persistent.
virtual Bool | isWritable () const
| The MIRIADImage is not writable.
virtual String | name (Bool stripPath=False) const
| Returns the name of the disk file.
virtual IPosition | shape () const
| return the shape of the MIRIADImage
virtual uInt | advisedMaxPixels () const
| Returns the maximum recommended number of pixels for a cursor.
virtual IPosition | doNiceCursorShape (uInt maxPixels) const
| Help the user pick a cursor for most efficient access if they only want pixel values and don't care about the order or dimension of the cursor.
virtual void | tempClose ()
| Temporarily close the image.
virtual void | reopen ()
| Reopen a temporarily closed image.
virtual Bool | ok () const
| Check class invariants.
DataType | dataType () const
| Return the (internal) data type (TpFloat or TpShort).
virtual uInt | maximumCacheSize () const
| Maximum size - not necessarily all used.
virtual void | setMaximumCacheSize (uInt howManyPixels)
| Set the maximum (allowed) cache size as indicated.
virtual void | setCacheSizeFromPath (const IPosition &sliceShape, const IPosition &windowStart, const IPosition &windowLength, const IPosition &axisPath)
| Set the cache size as to "fit" the indicated path.
virtual void | setCacheSizeInTiles (uInt howManyTiles)
| Set the actual cache size for this Array to be be big enough for the indicated number of tiles.
virtual void | clearCache ()
| Clears and frees up the caches, but the maximum allowed cache size is unchanged from when setCacheSize was called.
virtual void | showCacheStatistics (ostream &os) const
| Report on cache success.
Public Member Functions inherited from casacore::ImageInterface< Float >
| ImageInterface ()
virtual | ~ImageInterface ()
virtual MaskedLattice< Float > * | cloneML () const
| Make a copy of the derived object (reference semantics).
virtual Bool | setUnits (const Unit &newUnits)
| Function which get and set the units associated with the image pixels (i.e.
virtual const Unit & | units () const
virtual Bool | setCoordinateInfo (const CoordinateSystem &coords)
| Functions to set or replace the coordinate information in the Image Returns False on failure, e.g.
const CoordinateSystem & | coordinates () const
virtual LELCoordinates | lelCoordinates () const
| Function to get a LELCoordinate object containing the coordinates.
LoggerHolder & | logger ()
| Get access to the LoggerHolder.
LogIO & | logSink ()
| Allow messages to be logged to this ImageInterface.
void | appendLog (const LoggerHolder &other)
| Add the messages from the other image logger to this one.
const TableRecord & | miscInfo () const
| Often we have miscellaneous information we want to attach to an image.
const ImageInfo & | imageInfo () const
| The ImageInfo object contains some miscellaneous information about the image which unlike that stored in MiscInfo, has a standard list of things, such as the restoring beam.
ImageInfo & | rwImageInfo ()
| Get non-const access to the ImageInfo.
virtual Bool | setImageInfo (const ImageInfo &info)
virtual ImageAttrHandler & | attrHandler (Bool createHandler=False)
| Get access to the attribute handler.
ImageAttrHandler & | roAttrHandler () const
Bool | canDefineRegion () const
| Can the image handle region definition?
virtual ImageRegion | makeMask (const String &name, Bool defineAsRegion=True, Bool setAsDefaultMask=True, Bool initialize=False, Bool value=True)
| Make a mask which is suitable for the type of image.
virtual void | defineRegion (const String &name, const ImageRegion &region, RegionHandler::GroupType, Bool overwrite=False)
| Define a region/mask belonging to the image.
virtual Bool | hasRegion (const String &regionName, RegionHandler::GroupType=RegionHandler::Any) const
| Does the image have a region with the given name?
virtual ImageRegion * | getImageRegionPtr (const String &name, RegionHandler::GroupType=RegionHandler::Any, Bool throwIfUnknown=True) const
| Get a region/mask belonging to the image from the given group (which can be Any).
virtual void | renameRegion (const String &newName, const String &oldName, RegionHandler::GroupType=RegionHandler::Any, Bool overwrite=False)
| Rename a region.
virtual void | removeRegion (const String &name, RegionHandler::GroupType=RegionHandler::Any, Bool throwIfUnknown=True)
| Remove a region/mask belonging to the image from the given group (which can be Any).
virtual Vector< String > | regionNames (RegionHandler::GroupType=RegionHandler::Any) const
| Get the names of all regions/masks.
virtual void | useMask (MaskSpecifier=MaskSpecifier())
| Use the mask as specified.
virtual void | setDefaultMask (const String &regionName)
| Set the default pixelmask to the mask with the given name (which has to exist in the "masks" group).
virtual String | getDefaultMask () const
| Get the name of the default pixelmask.
ImageRegion | getRegion (const String &regionName, RegionHandler::GroupType=RegionHandler::Any) const
| Get a region belonging to the image.
String | makeUniqueRegionName (const String &rootName, uInt startNumber=1) const
| Make a unique region name from the given root name, thus make it such that the name is not already in use for a region or mask.
Bool | toRecord (String &error, RecordInterface &outRec)
| Save and restore an ImageInterface object to or from a state Record.
Bool | fromRecord (String &error, const RecordInterface &inRec)
Public Member Functions inherited from casacore::MaskedLattice< Float >
| MaskedLattice ()
| Default constructor.
virtual | ~MaskedLattice ()
| a virtual destructor is needed so that it will use the actual destructor in the derived class
virtual Lattice< Float > * | clone () const
| Make a copy of the derived object (reference semantics).
const LatticeRegion & | region () const
| Get the region used.
Bool | getMask (COWPtr< Array< Bool > > &buffer, Bool removeDegenerateAxes=False) const
| Get the mask or a slice from the mask.
Bool | getMaskSlice (COWPtr< Array< Bool > > &buffer, const Slicer &section, Bool removeDegenerateAxes=False) const
Public Member Functions inherited from casacore::Lattice< Float >
virtual | ~Lattice ()
| a virtual destructor is needed so that it will use the actual destructor in the derived class
Float | operator() (const IPosition &where) const
| Return the value of the single element located at the argument IPosition.
virtual Float | getAt (const IPosition &where) const
virtual void | putAt (const Float &value, const IPosition &where)
| Put the value of a single element.
Bool | get (COWPtr< Array< Float > > &buffer, Bool removeDegenerateAxes=False) const
| Functions which extract an Array of values from a Lattice.
Bool | getSlice (COWPtr< Array< Float > > &buffer, const Slicer &section, Bool removeDegenerateAxes=False) const
void | putSlice (const Array< Float > &sourceBuffer, const IPosition &where, const IPosition &stride)
| A function which places an Array of values within this instance of the Lattice at the location specified by the IPosition "where", incrementing by "stride".
void | put (const Array< Float > &sourceBuffer)
virtual void | set (const Float &value)
| Set all elements in the Lattice to the given value.
virtual void | apply (Float(*function)(Float))
| Replace every element, x, of the Lattice with the result of f(x).
void | operator+= (const Lattice< Float > &other)
| Add, subtract, multiple, or divide by another Lattice.
void | operator-= (const Lattice< Float > &other)
void | operator*= (const Lattice< Float > &other)
void | operator/= (const Lattice< Float > &other)
virtual void | copyData (const Lattice< Float > &from)
| Copy the data from the given lattice to this one.
virtual void | copyDataTo (Lattice< Float > &to) const
| Copy the data from this lattice to the given lattice.
virtual LatticeIterInterface< Float > * | makeIter (const LatticeNavigator &navigator, Bool useRef) const
| These functions are used by the LatticeIterator class to generate an iterator of the correct type for a specified Lattice.
Public Member Functions inherited from casacore::LatticeBase
virtual | ~LatticeBase ()
| A virtual destructor is needed so that it will use the actual destructor in the derived class.
virtual Bool | canReferenceArray () const
| Can the lattice data be referenced as an array section?
virtual void | save (const String &fileName) const
| Save the image in an AipsIO file with the given name.
virtual Bool | lock (FileLocker::LockType, uInt nattempts)
| It is strongly recommended to use class LatticeLocker to handle lattice locking.
virtual void | unlock ()
virtual Bool | hasLock (FileLocker::LockType) const
virtual void | resync ()
| Resynchronize the Lattice object with the lattice file.
virtual void | flush ()
| Flush the data (but do not unlock).
virtual uInt | ndim () const
| Return the number of axes in this Lattice.
virtual size_t | nelements () const
| Return the total number of elements in this Lattice.
size_t | size () const
Bool | conform (const LatticeBase &other) const
| Return a value of "True" if this instance of Lattice and 'other' have the same shape, otherwise returns a value of "False".
IPosition | niceCursorShape (uInt maxPixels) const
| Returns a recommended cursor shape for iterating through all the pixels in the Lattice.
IPosition | niceCursorShape () const

## Static Public Member Functions

static LatticeBase * | openMIRIADImage (const String &name, const MaskSpecifier &)
| Function to open a MIRIAD image.
static void | registerOpenFunction ()
| Register the open function.

## Private Member Functions

void | reopenIfNeeded () const
| Reopen the image if needed.
void | setup ()
| Setup the object (used by constructors).
void | open ()
| Open the image (used by setup and reopen).
void | getImageAttributes (CoordinateSystem &cSys, IPosition &shape, ImageInfo &info, Unit &brightnessUnit, Record &miscInfo, Bool &hasBlanks, const String &name)
| Fish things out of the MIRIAD file.
void | crackHeader (CoordinateSystem &cSys, IPosition &shape, ImageInfo &imageInfo, Unit &brightnessUnit, Record &miscInfo, LogIO &os)

## Private Attributes

String | name_p
Int | tno_p
MaskSpecifier | maskSpec_p
Unit | unit_p
Record | rec_p
std::shared_ptr< TiledFileAccess > | pTiledFile_p
Lattice< Bool > * | pPixelMask_p
TiledShape | shape_p
| Float scale_p; Float offset_p; Short magic_p;.
Bool | hasBlanks_p
DataType | dataType_p
Int64 | fileOffset_p
Bool | isClosed_p

## Additional Inherited Members

Protected Member Functions inherited from casacore::ImageInterface< Float >
ImageInterface & | operator= (const ImageInterface &other)
| Assignment (copy semantics) is only useful for derived classes.
Bool | restoreImageInfo (const RecordInterface &rec)
| Restore the image info from the record.
void | setLogMember (const LoggerHolder &logger)
| Set the image logger variable.
void | setImageInfoMember (const ImageInfo &imageInfo)
| Set the image info variable.
void | setCoordsMember (const CoordinateSystem &coords)
| Set the coordinate system variable.
void | setUnitMember (const Unit &unit)
| Set the unit variable.
void | setMiscInfoMember (const RecordInterface &rec)
| Set the miscinfo variable.
RegionHandler * | getRegionHandler ()
| Get access to the region handler.
Protected Member Functions inherited from casacore::MaskedLattice< Float >
MaskedLattice< Float > & | operator= (const MaskedLattice< Float > &)
| Assignment can only be used by derived classes.
Protected Member Functions inherited from casacore::Lattice< Float >
void | handleMathTo (Lattice< Bool > &, int) const
| Lattice ()
| Define default constructor to satisfy compiler.
virtual void | handleMath (const Lattice< Float > &from, int oper)
| Handle the Math operators (+=, -=, *=, /=).
Lattice< Float > & | operator= (const Lattice< Float > &)
Protected Member Functions inherited from casacore::LatticeBase
| LatticeBase ()
| Define default constructor to be used by derived classes.
| LatticeBase (const LatticeBase &)
| Copy constructor and assignment can only be used by derived classes.
LatticeBase & | operator= (const LatticeBase &)
void | throwBoolMath () const
| Throw an exception for arithmetic on a Bool Lattice.

## Detailed Description

Class providing native access to MIRIAD images.

### Intended use:

Public interface

### Review Status

Test programs:
  tMIRIADImage

### Prerequisite

- ImageInterface
- FITSMask

### Etymology

This class provides native access to MIRIAD images.

### Synopsis

A MIRIADImage provides native access to MIRIAD images by accessing them with the TiledFileAccess class. – or – the native miriad I/O routines. The MIRIADImage is read only. – really – ??

### Example

MIRIADImage im("cube1");
LogIO logger(or);
ImageStatistics<Float> stats(im, logger);
Bool ok = stats.display(); // Display statistics
casacore::ImageInterface< Float >::logger
LoggerHolder & logger()
Definition ImageInterface.h:202
casacore::ImageStatistics
Definition ImageStatistics.h:98
casacore::LogIO
Definition LogIO.h:165
casacore::MIRIADImage::MIRIADImage
MIRIADImage(const String &name)
Construct a MIRIADImage from the disk MIRIAD dataset name and apply mask.
casacore::MIRIADImage::ok
virtual Bool ok() const
Check class invariants.
casacore::Bool
bool Bool
Define the standard types used by Casacore.
Definition aipstype.h:40

### Motivation

This provides native access to MIRIAD images.

Definition at line 97 of file MIRIADImage.h.

## Constructor & Destructor Documentation

## MIRIADImage() [1/3]

casacore::MIRIADImage::MIRIADImage | ( | const String & | name | ) |

explicit

Construct a MIRIADImage from the disk MIRIAD dataset name and apply mask.

References name().

Referenced by MIRIADImage(), operator=(), and reopenIfNeeded().

## MIRIADImage() [2/3]

casacore::MIRIADImage::MIRIADImage | ( | const String & | name,
|  | const MaskSpecifier & | )

Construct a MIRIADImage from the disk MIRIAD file name and apply mask or not.

References name().

## MIRIADImage() [3/3]

casacore::MIRIADImage::MIRIADImage | ( | const MIRIADImage & | other | ) |

Copy constructor (reference semantics).

References MIRIADImage().

## ~MIRIADImage()

casacore::MIRIADImage::~MIRIADImage | ( |  | ) |

Destructor does nothing.

## Member Function Documentation

## advisedMaxPixels()

virtual uInt casacore::MIRIADImage::advisedMaxPixels | ( |  | ) | const

virtual

Returns the maximum recommended number of pixels for a cursor.

This is the number of pixels in a tile.

Reimplemented from casacore::Lattice< Float >.

## clearCache()

virtual void casacore::MIRIADImage::clearCache | ( |  | ) |

virtual

Clears and frees up the caches, but the maximum allowed cache size is unchanged from when setCacheSize was called.

Reimplemented from casacore::LatticeBase.

## cloneII()

virtual ImageInterface< Float > * casacore::MIRIADImage::cloneII | ( |  | ) | const

virtual

Make a copy of the object with new (reference semantics).

Implements casacore::ImageInterface< Float >.

References casacore::ImageInterface< Float >::ImageInterface().

## crackHeader()

void casacore::MIRIADImage::crackHeader | ( | CoordinateSystem & | cSys,
|  | IPosition & | shape,
|  | ImageInfo & | imageInfo,
|  | Unit & | brightnessUnit,
|  | Record & | miscInfo,
|  | LogIO & | os )

private

References casacore::ImageInterface< Float >::imageInfo(), miscInfo(), casacore::Record(), and shape().

## dataType()

DataType casacore::MIRIADImage::dataType | ( |  | ) | const

inline virtual

Return the (internal) data type (TpFloat or TpShort).

Reimplemented from casacore::Lattice< Float >.

Definition at line 226 of file MIRIADImage.h.

References dataType_p.

## doGetMaskSlice()

virtual Bool casacore::MIRIADImage::doGetMaskSlice | ( | Array< Bool > & | buffer,
|  | const Slicer & | section )

virtual

Do the actual get of the mask data.

The return value is always False, thus the buffer does not reference another array.

Reimplemented from casacore::MaskedLattice< Float >.

## doGetSlice()

virtual Bool casacore::MIRIADImage::doGetSlice | ( | Array< Float > & | buffer,
|  | const Slicer & | theSlice )

virtual

Do the actual get of the data.

Returns False as the data do not reference another Array

Implements casacore::Lattice< Float >.

## doNiceCursorShape()

virtual IPosition casacore::MIRIADImage::doNiceCursorShape | ( | uInt | maxPixels | ) | const

virtual

Help the user pick a cursor for most efficient access if they only want pixel values and don't care about the order or dimension of the cursor.

Reimplemented from casacore::LatticeBase.

## doPutSlice()

virtual void casacore::MIRIADImage::doPutSlice | ( | const Array< Float > & | sourceBuffer,
|  | const IPosition & | where,
|  | const IPosition & | stride )

virtual

The MIRIADImage is not writable, so this throws an exception.

Implements casacore::Lattice< Float >.

## getImageAttributes()

void casacore::MIRIADImage::getImageAttributes | ( | CoordinateSystem & | cSys,
|  | IPosition & | shape,
|  | ImageInfo & | info,
|  | Unit & | brightnessUnit,
|  | Record & | miscInfo,
|  | Bool & | hasBlanks,
|  | const String & | name )

private

Fish things out of the MIRIAD file.

References miscInfo(), name(), casacore::Record(), and shape().

## getRegionPtr()

virtual const LatticeRegion * casacore::MIRIADImage::getRegionPtr | ( |  | ) | const

virtual

Get the region used.

There is no region. Always returns 0.

Implements casacore::MaskedLattice< Float >.

## hasPixelMask()

virtual Bool casacore::MIRIADImage::hasPixelMask | ( |  | ) | const

virtual

MIRIADimage always has a pixel mask so should return True.

Reimplemented from casacore::MaskedLattice< Float >.

## imageType()

virtual String casacore::MIRIADImage::imageType | ( |  | ) | const

virtual

Get the image type (returns MIRIADImage).

Implements casacore::ImageInterface< Float >.

## isMasked()

virtual Bool casacore::MIRIADImage::isMasked | ( |  | ) | const

virtual

Has the object really a mask?

The MIRIADImage always has a pixel mask and never has a region mask so this should always return True

Reimplemented from casacore::MaskedLattice< Float >.

## isPaged()

virtual Bool casacore::MIRIADImage::isPaged | ( |  | ) | const

virtual

The lattice is paged to disk.

Reimplemented from casacore::LatticeBase.

## isPersistent()

virtual Bool casacore::MIRIADImage::isPersistent | ( |  | ) | const

virtual

The lattice is persistent.

Reimplemented from casacore::LatticeBase.

## isWritable()

virtual Bool casacore::MIRIADImage::isWritable | ( |  | ) | const

virtual

The MIRIADImage is not writable.

Reimplemented from casacore::LatticeBase.

## maximumCacheSize()

virtual uInt casacore::MIRIADImage::maximumCacheSize | ( |  | ) | const

virtual

Maximum size - not necessarily all used.

In pixels.

Reimplemented from casacore::LatticeBase.

## miscInfo()

virtual const RecordInterface & casacore::MIRIADImage::miscInfo | ( |  | ) | const

virtual

Functions which get and set the units associated with the image pixels (i.e.

the "brightness" unit). Initially the unit is empty. Although the MIRIADimage is not writable, you can change the unit in the MIRIADImage object, but it will not be changed in the MIRIAD disk file. Often we have miscellaneous information we want to attach to an image. Although MIRIADImage is not writable, you can set a new MiscInfo record, but it will not be stored with the MIRIAD file

References casacore::RecordInterface().

Referenced by crackHeader(), and getImageAttributes().

## name()

virtual String casacore::MIRIADImage::name | ( | Bool | stripPath = False | ) | const

virtual

Returns the name of the disk file.

Implements casacore::ImageInterface< Float >.

References casacore::False.

Referenced by getImageAttributes(), MIRIADImage(), MIRIADImage(), and openMIRIADImage().

## ok()

virtual Bool casacore::MIRIADImage::ok | ( |  | ) | const

virtual

Check class invariants.

Implements casacore::ImageInterface< Float >.

## open()

void casacore::MIRIADImage::open | ( |  | ) |

private

Open the image (used by setup and reopen).

## openMIRIADImage()

LatticeBase * casacore::MIRIADImage::openMIRIADImage | ( | const String & | name,
|  | const MaskSpecifier & | )

static

Function to open a MIRIAD image.

References name().

## operator=()

MIRIADImage & casacore::MIRIADImage::operator= | ( | const MIRIADImage & | other | ) |

Assignment (reference semantics).

References MIRIADImage().

## pixelMask() [1/2]

virtual Lattice< Bool > & casacore::MIRIADImage::pixelMask | ( |  | ) |

virtual

## pixelMask() [2/2]

virtual const Lattice< Bool > & casacore::MIRIADImage::pixelMask | ( |  | ) | const

virtual

Get access to the pixelmask.

MIRIADImage always has a pixel mask.

Reimplemented from casacore::MaskedLattice< Float >.

## registerOpenFunction()

void casacore::MIRIADImage::registerOpenFunction | ( |  | ) |

static

Register the open function.

## reopen()

virtual void casacore::MIRIADImage::reopen | ( |  | ) |

virtual

Reopen a temporarily closed image.

Reimplemented from casacore::LatticeBase.

Referenced by reopenIfNeeded().

## reopenIfNeeded()

void casacore::MIRIADImage::reopenIfNeeded | ( |  | ) | const

inline private

Reopen the image if needed.

Definition at line 273 of file MIRIADImage.h.

References isClosed_p, MIRIADImage(), and reopen().

## resize()

virtual void casacore::MIRIADImage::resize | ( | const TiledShape & | newShape | ) |

virtual

Function which changes the shape of the MIRIADImage.

Throws an exception as MIRIADImage is not writable.

Implements casacore::ImageInterface< Float >.

## setCacheSizeFromPath()

virtual void casacore::MIRIADImage::setCacheSizeFromPath | ( | const IPosition & | sliceShape,
|  | const IPosition & | windowStart,
|  | const IPosition & | windowLength,
|  | const IPosition & | axisPath )

virtual

Set the cache size as to "fit" the indicated path.

Reimplemented from casacore::LatticeBase.

## setCacheSizeInTiles()

virtual void casacore::MIRIADImage::setCacheSizeInTiles | ( | uInt | howManyTiles | ) |

virtual

Set the actual cache size for this Array to be be big enough for the indicated number of tiles.

This cache is not shared with PagedArrays in other rows and is always clipped to be less than the maximum value set using the setMaximumCacheSize member function. tiles. Tiles are cached using a first in first out algorithm.

Reimplemented from casacore::LatticeBase.

## setMaximumCacheSize()

virtual void casacore::MIRIADImage::setMaximumCacheSize | ( | uInt | howManyPixels | ) |

virtual

Set the maximum (allowed) cache size as indicated.

Reimplemented from casacore::LatticeBase.

## setMiscInfo()

virtual Bool casacore::MIRIADImage::setMiscInfo | ( | const RecordInterface & | newInfo | ) |

virtual

Reimplemented from casacore::ImageInterface< Float >.

References casacore::RecordInterface().

## setup()

void casacore::MIRIADImage::setup | ( |  | ) |

private

Setup the object (used by constructors).

## shape()

virtual IPosition casacore::MIRIADImage::shape | ( |  | ) | const

virtual

return the shape of the MIRIADImage

Implements casacore::LatticeBase.

Referenced by crackHeader(), and getImageAttributes().

## showCacheStatistics()

virtual void casacore::MIRIADImage::showCacheStatistics | ( | ostream & | os | ) | const

virtual

Report on cache success.

Reimplemented from casacore::LatticeBase.

## tempClose()

virtual void casacore::MIRIADImage::tempClose | ( |  | ) |

virtual

Temporarily close the image.

Reimplemented from casacore::LatticeBase.

## Member Data Documentation

## dataType_p

DataType casacore::MIRIADImage::dataType_p

private

Definition at line 268 of file MIRIADImage.h.

Referenced by dataType().

## fileOffset_p

Int64 casacore::MIRIADImage::fileOffset_p

private

Definition at line 269 of file MIRIADImage.h.

## hasBlanks_p

Bool casacore::MIRIADImage::hasBlanks_p

private

Definition at line 267 of file MIRIADImage.h.

## isClosed_p

Bool casacore::MIRIADImage::isClosed_p

private

Definition at line 270 of file MIRIADImage.h.

Referenced by reopenIfNeeded().

## maskSpec_p

MaskSpecifier casacore::MIRIADImage::maskSpec_p

private

Definition at line 258 of file MIRIADImage.h.

## name_p

String casacore::MIRIADImage::name_p

private

Definition at line 256 of file MIRIADImage.h.

## pPixelMask_p

Lattice<Bool>* casacore::MIRIADImage::pPixelMask_p

private

Definition at line 262 of file MIRIADImage.h.

## pTiledFile_p

std::shared_ptr<TiledFileAccess> casacore::MIRIADImage::pTiledFile_p

private

Definition at line 261 of file MIRIADImage.h.

## rec_p

Record casacore::MIRIADImage::rec_p

private

Definition at line 260 of file MIRIADImage.h.

## shape_p

TiledShape casacore::MIRIADImage::shape_p

private

Float scale_p; Float offset_p; Short magic_p;.

Definition at line 266 of file MIRIADImage.h.

## tno_p

Int casacore::MIRIADImage::tno_p

private

Definition at line 257 of file MIRIADImage.h.

## unit_p

Unit casacore::MIRIADImage::unit_p

private

Definition at line 259 of file MIRIADImage.h.

The documentation for this class was generated from the following file:

- images/Images/MIRIADImage.h